<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers, Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include "config.php";

$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_VALIDATE_INT) : null;

if (!$id) {
    echo json_encode(["error" => "Invalid ID"]);
    exit;
}

// Fetch products based on the category id
$sql = "SELECT `id`, `Name`, `Price`, `del_price`, `Img-1`, `Img-2`, `Img-3`, `Img-4` 
        FROM `product` 
        WHERE `Category_id` = '$id' AND `visible` = 0";

$result = mysqli_query($conn, $sql);

if (!$result) {
    echo json_encode(["error" => "Database query failed"]);
    exit;
}

$tdata = array();

while ($row = mysqli_fetch_assoc($result)) {
    $data = array(
        "id" => $row['id'],
        "Name" => $row['Name'],
        "Price" => $row['Price'],
        "del_price" => $row['del_price'],
        "Img-1" => $row['Img-1'],
        "Img-2" => $row['Img-2'],
        "Img-3" => $row['Img-3'],
        "Img-4" => $row['Img-4']
    );
    $tdata[] = $data;
}

echo json_encode($tdata);
?>
