<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers, Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include 'config.php';

// Fetch only 5 categories where visible = 1
$sql = "SELECT `id`, `name`, `img`, `visible` FROM `category` WHERE `visible` = 1 LIMIT 5";
$result = mysqli_query($conn, $sql);

$categories = [];

while ($row = mysqli_fetch_assoc($result)) {
    $categories[] = $row;
}

// Output categories data as JSON
header('Content-Type: application/json');
echo json_encode($categories);
?>
